<?php
/**
 * @file
 * This file define a style of output.
 */
drupal_add_css(drupal_get_path('module', 'google_weather') . '/google_weather.css');
?>

<div class="weather-wrapper">
  <div class="weather current">
    <div class="location"><?php print $info['location']; ?></div>
    <div class="weather-icon float-left">
      <?php print $current['icon']; ?>
    </div>
    <div class="weather-info forecast-info ">
      <b><?php print t("Now"); ?></b><br/>
      <div class="temp"><?php print $current['temp']; ?></div>
      <div class="condition"><?php print $current['condition']; ?></div>
      <div class="wind"><?php print $current['wind_condition']; ?></div>
    </div>
    <div class="clear-block"></div>
  </div>
  
  <?php if ($forecast) : ?>
    <div class="separator">
      <?php print t("Weather forecast"); ?>
    </div>
  <?php endif; ?>

  <?php foreach ($forecast as $id => $forecast): ?>
    <div class="weather forecast forecast-<?php print $id; ?>">
      <div class="weather-icon float-left">
        <?php print $forecast['icon']; ?>
      </div>
      <div class="weather-info forecast-info">
        <b><?php print $forecast['day']; ?></b><br/>
        <?php print $forecast['high_temp']; ?> | <?php print $forecast['low_temp']; ?><br/>
        <?php print $forecast['condition']; ?>
      </div>
      <div class="clear-block"></div>
    </div>
  <?php endforeach; ?>
</div>
